Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Aggiornamento world, ffmpeg e glibc
View unanswered posts
View posts from last 24 hours
View posts from last 7 days

 
Reply to topic    Gentoo Forums Forum Index Forum italiano (Italian)
View previous topic :: View next topic  
Author Message
ago
Developer
Developer


Joined: 01 Mar 2008
Posts: 1520
Location: Cosenza, Italy

PostPosted: Tue Oct 06, 2009 7:00 pm    Post subject: Aggiornamento world, ffmpeg e glibc Reply with quote

salve a tutti...poco fa ho appena syncato e lanciato un aggiornamento completo..quindi
Code:
emerge --sync && emerge -DuNavt world

e mi son trovato con quest'erroraccio
Code:
[nomerge      ] media-video/totem-2.24.4-r1  USE="gnome nsplugin python -bluetooth -debug -galago -lirc -nautilus -nvtv -tracker"
[ebuild     U ]  dev-python/gdata-2.0.2 [2.0.0] USE="-examples" 1,131 kB
[nomerge      ] gnome-base/gdm-2.20.9-r1  USE="ipv6 pam tcpd xinerama -accessibility -afs -branding -debug -dmx -gnome-keyring -remote (-selinux)"
[nomerge      ]  x11-libs/gksu-2.0.2  USE="gnome -debug -doc"
[nomerge      ]   x11-libs/libgksu-2.0.9  USE="nls -debug -doc"
[nomerge      ]    app-admin/sudo-1.7.2_p1  USE="pam -ldap -offensive (-selinux) -skey"
[ebuild     U ]     app-editors/nano-2.1.10 [2.1.9] USE="ncurses nls unicode -debug -justify -minimal -slang -spell" 1,444 kB
[nomerge      ] www-client/mozilla-firefox-3.0.14  USE="custom-optimization dbus gnome java xulrunner -bindist -iceweasel -mozdevelop -restrict-javascript -startup-notification" LINGUAS="it -af -ar -be -bg -bn -bn_IN -ca -cs -cy -da -de -el -en -en_GB -en_US -eo -es -es_AR -es_ES -et -eu -fi -fr -fy -fy_NL -ga -ga_IE -gl -gu -gu_IN -he -hi -hi_IN -hu -id -is -ja -ka -kn -ko -ku -lt -lv -mk -mn -mr -nb -nb_NO -nl -nn -nn_NO -oc -pa -pa_IN -pl -pt -pt_BR -pt_PT -ro -ru -si -sk -sl -sq -sr -sv -sv_SE -te -th -tr -uk -zh -zh_CN -zh_TW"
[ebuild     U ]  dev-libs/libIDL-0.8.13 [0.8.12] USE="-debug" 378 kB
[nomerge      ] media-plugins/mediastreamer-x264-1.1.7
[ebuild     U ]  media-video/ffmpeg-0.5_p19928 [0.5-r1] USE="3dnow 3dnowext X alsa custom-cflags dirac encode faac faad gsm hardcoded-tables ipv6 jpeg2k mmx mmxext mp3 oss sdl speex ssse3 theora threads v4l v4l2 vdpau vorbis x264 xvid zlib (-altivec) -bindist -cpudetection% -debug -doc -ieee1394 -jack% -network -opencore-amr% -schroedinger -test (-amr%*) (-vhook%*)" VIDEO_CARDS="nvidia" 3,001 kB
[nomerge      ] net-p2p/deluge-1.1.9  USE="gtk libnotify"
[nomerge      ]  gnome-base/librsvg-2.22.3  USE="zlib -debug -doc"
[nomerge      ]   gnome-extra/libgsf-1.14.11  USE="bzip2 gnome python -debug -doc"
[nomerge      ]    media-gfx/imagemagick-6.5.2.9  USE="X bzip2 corefonts jpeg jpeg2k openmp perl png tiff zlib -djvu -doc -fontconfig -fpx -graphviz -gs -hdri -jbig -lcms -nocxx -openexr -q32 -q8 -raw -svg -truetype -wmf -xml"
[nomerge      ]     media-libs/jasper-1.900.1-r3  USE="jpeg opengl"
[ebuild     UD]      media-libs/freeglut-2.4.0-r1 [2.6.0_rc1] USE="(-debug%)" 459 kB
[nomerge      ] media-plugins/audacious-plugins-2.1-r1  USE="adplug alsa bs2b cdda esd flac gnome icecast ipv6 jack lirc mp3 mtp musepack nls oss projectm pulseaudio scrobbler sdl sid sndfile sse2 timidity tta vorbis wavpack wma"
[ebuild   R   ]  app-misc/lirc-0.8.5  USE="X -debug -doc -hardware-carrier -transmitter" LIRC_DEVICES="-accent -act200l -act220l -adaptec -all -alsa_usb -animax -asusdh -atilibusb -atiusb -audio -audio_alsa -avermedia -avermedia98 -avermedia_vdomate -awlibusb -bestbuy -bestbuy2 -breakoutbox -bte -bw6130 -caraca -chronos -commandir -cph06x -creative -creative_infracd -devinput -digimatrix -dsp -dvico -ea65 -exaudio -flyvideo -ftdi -gvbctv5pci -hauppauge -hauppauge_dvb -hercules_smarttv_stereo -i2cuser -igorplugusb -iguanaIR% -imon -imon_24g -imon_knob -imon_lcd -imon_pad -imon_rsc -inputlirc -irdeo -irdeo_remote -irlink -irman -irreal -it87 -ite8709 -knc_one -kworld -leadtek_0007 -leadtek_0010 -leadtek_pvr2000 -livedrive_midi -livedrive_seq -logitech -macmini -mceusb -mceusb2 -mediafocusI -mouseremote -mouseremote_ps2 -mp3anywhere -mplay -nslu2 -packard_bell -parallel -pcmak -pcmak_usb -pctv -pixelview_bt878 -pixelview_pak -pixelview_pro -provideo -realmagic -remote_wonder_plus -remotemaster -sa1100 -samsung -sasem -sb0540 -serial -serial_igor_cesko -silitek -sir -slinke -streamzap -tekram -tekram_bt829 -tira -ttusbir -tuxbox -tvbox -udp -uirt2 -uirt2_raw -usb_uirt_raw -usbirboy -usbx -userspace -wpc8769l -xboxusb (-iguana%)" 700 kB
[nomerge      ] gnome-base/gnome-applets-2.24.3.1  USE="acpi gnome gstreamer hal ipv6 -apm -debug -doc"
[nomerge      ]  gnome-base/gnome-panel-2.24.3-r1  USE="-doc -eds -networkmanager"
[nomerge      ]   x11-libs/libwnck-2.24.2  USE="-debug -doc"
[ebuild     U ]    x11-libs/startup-notification-0.10 [0.9] 322 kB
[ebuild     U ] net-misc/openssh-5.2_p1-r3 [5.2_p1-r1] USE="X pam tcpd -X509 -hpn -kerberos -ldap -libedit -pkcs11 (-selinux) -skey -smartcard -static" 1,082 kB
[ebuild     UD] sys-libs/glibc-2.5-r4 [2.9_p20081201-r2] USE="nls nptl%* nptlonly%* -build% -debug -glibc-compat20% -glibc-omitfp (-hardened) (-multilib) -profile (-selinux) (-gd%) (-vanilla%)" 16,182 kB
[ebuild     U ] app-admin/eselect-1.2.3 [1.1.3] USE="bash-completion -doc" 151 kB
[ebuild     U ]  sys-apps/coreutils-7.5 [7.4] USE="acl nls -caps -gmp (-selinux) -static -vanilla -xattr" 9,731 kB
[ebuild     U ] sys-apps/man-pages-3.22 [3.21] USE="nls" LINGUAS="it -cs -da -de -es -fr -ja -nl -pl -ro -ru -zh_CN" 1,070 kB
[nomerge      ] www-client/mozilla-firefox-3.0.14  USE="custom-optimization dbus gnome java xulrunner -bindist -iceweasel -mozdevelop -restrict-javascript -startup-notification" LINGUAS="it -af -ar -be -bg -bn -bn_IN -ca -cs -cy -da -de -el -en -en_GB -en_US -eo -es -es_AR -es_ES -et -eu -fi -fr -fy -fy_NL -ga -ga_IE -gl -gu -gu_IN -he -hi -hi_IN -hu -id -is -ja -ka -kn -ko -ku -lt -lv -mk -mn -mr -nb -nb_NO -nl -nn -nn_NO -oc -pa -pa_IN -pl -pt -pt_BR -pt_PT -ro -ru -si -sk -sl -sq -sr -sv -sv_SE -te -th -tr -uk -zh -zh_CN -zh_TW"
[ebuild     U ]  app-arch/zip-3.0 [2.32-r1] USE="bzip2%* crypt unicode%*" 1,258 kB
[ebuild     U ]   app-arch/unzip-6.0-r1 [5.52-r2] USE="bzip2%* unicode%*" 1,345 kB
[nomerge      ] sys-libs/glibc-2.5-r4 [2.9_p20081201-r2] USE="nls nptl%* nptlonly%* -build% -debug -glibc-compat20% -glibc-omitfp (-hardened) (-multilib) -profile (-selinux) (-gd%) (-vanilla%)"
[ebuild     U ]  sys-libs/timezone-data-2009m [2009j] USE="nls" 363 kB

Total: 15 packages (12 upgrades, 2 downgrades, 1 reinstall), Size of downloads: 38,609 kB

!!! Multiple package instances within a single package slot have been pulled
!!! into the dependency graph, resulting in a slot conflict:

sys-libs/glibc:2.2

  ('ebuild', '/', 'sys-libs/glibc-2.5-r4', 'merge') pulled in by
    >=sys-libs/glibc-2.3[nptl] required by ('installed', '/', 'x11-drivers/nvidia-drivers-180.60', 'nomerge')
    (and 6 more)

  ('installed', '/', 'sys-libs/glibc-2.9_p20081201-r2', 'nomerge') pulled in by
    >=sys-libs/glibc-2.6 required by ('installed', '/', 'sys-devel/gcc-4.3.2-r3', 'nomerge')
    >=sys-libs/glibc-2.8 required by ('installed', '/', 'media-video/vlc-1.0.2', 'nomerge')
    (and 6 more)


It may be possible to solve this problem by using package.mask to
prevent one of those packages from being selected. However, it is also
possible that conflicting dependencies exist such that they are
impossible to satisfy simultaneously. If such a conflict exists in the
dependencies of two different packages, then those packages can not be
installed simultaneously.

For more information, see MASKED PACKAGES section in the emerge man page
or refer to the Gentoo Handbook.

poi mi sono accorto che riuscivo ad aggiornare dei pacchetti con
Code:
emerge -DuNav nomepacchetto

Ora non riesco ad aggiornare il world e ovviamente neanche singolarmente i pacchetti che mi sono rimasti quali..
Code:
[nomerge      ] media-plugins/mediastreamer-x264-1.1.7
[ebuild     U ]  media-video/ffmpeg-0.5_p19928 [0.5-r1] USE="3dnow 3dnowext X alsa custom-cflags dirac encode faac faad gsm hardcoded-tables ipv6 jpeg2k mmx mmxext mp3 oss sdl speex ssse3 theora threads v4l v4l2 vdpau vorbis x264 xvid zlib (-altivec) -bindist -cpudetection% -debug -doc -ieee1394 -jack% -network -opencore-amr% -schroedinger -test (-amr%*) (-vhook%*)" VIDEO_CARDS="nvidia" 3,001 kB
[ebuild     UD] sys-libs/glibc-2.5-r4 [2.9_p20081201-r2] USE="nls nptl%* nptlonly%* -build% -debug -glibc-compat20% -glibc-omitfp (-hardened) (-multilib) -profile (-selinux) (-gd%) (-vanilla%)" 16,182 kB

Avete soluzioni?
_________________
Contattami se vuoi contribuire in:
-Arch tester
-Chromium tester
-Traduzione doc. it
-Security
Back to top
View user's profile Send private message
canduc17
l33t
l33t


Joined: 11 Oct 2005
Posts: 795
Location: Ferrara, Italy

PostPosted: Tue Oct 06, 2009 7:33 pm    Post subject: Reply with quote

Sì, hanno in molti sto problema, me compreso: se ne parla in questo topic sul forum internazionale.
E' un bug del pacchetto nvidia-drivers, già segnalato qui.
Penso si tratti di aspettare...per il momento è meglio non downgradare le glibc, pena l'esplosione del globo terracqueo :-)
_________________
A cow enters a supermarket, does an handstand and dies. (Public toilet graffito)
Back to top
View user's profile Send private message
mack1
Guru
Guru


Joined: 18 Mar 2006
Posts: 315

PostPosted: Tue Oct 06, 2009 7:50 pm    Post subject: Reply with quote

Hanno dovuto mantenere la USE nptl all'interno dell'ebuild di nvidia-drivers per una questione di compatibilità, solo che dalla versione 2.6 le glibc non hanno più la suddetta USE (usano di default nptl credo), e quindi giustamente portage tenta di installare una versione di glibc in cui compaia la USE nptl.
E' già stato risolto :D .... ha ragione canduc17 è solo tempo di aspettare il nuovo ebuild...

Ciao
Back to top
View user's profile Send private message
pierino_89
Guru
Guru


Joined: 03 Oct 2009
Posts: 522

PostPosted: Wed Oct 07, 2009 7:57 pm    Post subject: Reply with quote

In alternativa si può smascherare per ~arch il pacchetto dei drivers nvidia.
_________________
Linux registered user 461710
Back to top
View user's profile Send private message
ago
Developer
Developer


Joined: 01 Mar 2008
Posts: 1520
Location: Cosenza, Italy

PostPosted: Wed Oct 07, 2009 9:34 pm    Post subject: Reply with quote

pierino_89 wrote:
In alternativa si può smascherare per ~arch il pacchetto dei drivers nvidia.


non si risolve purtroppo..avevo già provato
_________________
Contattami se vuoi contribuire in:
-Arch tester
-Chromium tester
-Traduzione doc. it
-Security
Back to top
View user's profile Send private message
mack1
Guru
Guru


Joined: 18 Mar 2006
Posts: 315

PostPosted: Thu Oct 08, 2009 7:54 am    Post subject: Reply with quote

Ho aggiornato 2 macchine amd64 oggi ed il problema era scomparso :D .... è solo questione di tempo (imho).

Ciao
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Forum italiano (Italian) All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum